/*This file is part of SoftSERVE.
 *
 *   SoftSERVE is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   SoftSERVE is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with SoftSERVE.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * This file contains all prefactors that mix the various eps-orders of the integrations after the integrations are performed 
 * to arrive at the eps-orders of the full bare soft function
 */

#include <Auxiliaries.h>
#include <Prefactors.h>
#include <Input_Common.h>
#include <cmath>
using namespace std;
//remark for me: minuses corrected manually

double PreNF0=-32768*mexp*pow(Pi,-2);
double PreNF1=196608*mexp*log(2)*pow(Pi,-2);
double PreNF2=-32768*mexp*pow(Pi,-2)*(pow(Pi,2) + 18*pow(log(2),2));
double PreNF3=-(-65536*mexp*pow(Pi,-2)*(-28*Zeta3 + 9*log(2)*pow(Pi,2) + 54*pow(log(2),3)))/3.;

double PrePNF0=16384*mexp*pow(Pi,-2);
double PrePNF1=-16384*mexp*(1 + log(64))*pow(Pi,-2);
double PrePNF2=16384*mexp*pow(Pi,-2)*(log(64) + pow(Pi,2) + 18*pow(log(2),2));
double PrePNF3=-(16384*mexp*pow(Pi,-2)*(-56*Zeta3 + 3*(1 + log(64))*pow(Pi,2) + 54*pow(log(2),2) + 108*pow(log(2),3)))/3.;

double PreCA0=16384*mexp*pow(Pi,-2);
double PreCA1=-98304*mexp*log(2)*pow(Pi,-2);
double PreCA2=16384*mexp*pow(Pi,-2)*(pow(Pi,2) + 18*pow(log(2),2));
double PreCA3=-(32768*mexp*pow(Pi,-2)*(-28*Zeta3 + 9*log(2)*pow(Pi,2) + 54*pow(log(2),3)))/3.;
double PreCA4=-(-8192*mexp*pow(Pi,-2)*(-672*Zeta3*log(2) + 7*pow(Pi,4) + 108*pow(Pi,2)*pow(log(2),2) + 324*pow(log(2),4)))/3.;

//corrected for factor -1
double PreOLEM1=64*mexp*pow(Pi,-1)*(-1);
double PreOLE0=-256*log(2)*mexp*pow(Pi,-1)*(-1);
double PreOLE1=(16*mexp*pow(Pi,-1)*(96*pow(log(2),2) + pow(Pi,2)))/3.*(-1);
double PreOLE2=(-64*mexp*pow(Pi,-1)*(32*pow(log(2),3) + log(2)*pow(Pi,2) - Zeta3))/3.*(-1);
double PreOLE3=(2*mexp*pow(Pi,-1)*(5120*pow(log(2),4) + 320*pow(log(2),2)*pow(Pi,2) + 3*pow(Pi,4) - 640*log(2)*Zeta3))/15.*(-1);

//corrected for factor -1
double PreRVEM3=-64*mexp*pow(Pi,-1)*(-1);
double PreRVEM2=256*log(2)*mexp*pow(Pi,-1)*(-1);
double PreRVEM1=(-128*mexp*pow(Pi,-1)*(12*pow(log(2),2) + pow(Pi,2)))/3.*(-1);
double PreRVE0=(128*mexp*pow(Pi,-1)*(16*pow(log(2),3) + 4*log(2)*pow(Pi,2) - 25*Zeta3))/3.*(-1);
double PreRVE1=(-64*mexp*pow(Pi,-1)*(96*pow(log(2),4) + 48*pow(log(2),2)*pow(Pi,2) + 7*pow(Pi,4) - 600*log(2)*Zeta3))/9.*(-1);
